# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['@all']
  'require':
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/kcoreaddons': '@latest-kf6'
    'frameworks/kdeclarative': '@latest-kf6'
    'frameworks/kglobalaccel': '@latest-kf6'
    'frameworks/ki18n': '@latest-kf6'
    'frameworks/kstatusnotifieritem': '@latest-kf6'
    'frameworks/kpackage': '@latest-kf6'
    'frameworks/kcmutils': '@latest-kf6'
    'frameworks/ksvg': '@latest-kf6'
    'libraries/kirigami-addons': '@latest-kf6'
    'libraries/pulseaudio-qt': '@latest-kf6'
    'plasma/libplasma': '@same'

RuntimeDependencies:
- 'on': ['Linux']
  'require':
    'plasma/plasma-workspace': '@same'
    'sdk/selenium-webdriver-at-spi': '@latest-kf6'

Options:
  require-passing-tests-on: [ 'Linux', 'FreeBSD']
